# List the pods of a deployment Source: https://docs.orchard.hackclub.com/api/operations/deployments_pods_list/ `GET /apiv1/deployments/{id}/pods` Operation ID: `deployments_pods_list` Auth: authenticated (scope: read) ## Parameters | Name | In | Required | Description | | --- | --- | --- | --- | | `id` | path | Yes | | ## Responses ### 200: OK ```json { "items": { "additionalProperties": {}, "properties": { "containers": { "items": { "additionalProperties": {}, "properties": { "image": { "type": [ "string", "null" ] }, "init": { "type": "boolean" }, "lastTermination": { "additionalProperties": {}, "properties": { "exitCode": { "type": [ "number", "null" ] }, "finishedAt": { "type": [ "string", "null" ] }, "reason": { "type": [ "string", "null" ] } }, "required": [ "reason" ], "type": [ "object", "null" ] }, "message": { "type": [ "string", "null" ] }, "name": { "type": "string" }, "ready": { "type": "boolean" }, "reason": { "type": [ "string", "null" ] }, "restartCount": { "type": "number" }, "startedAt": { "type": [ "string", "null" ] }, "state": { "enum": [ "running", "waiting", "terminated", "unknown" ], "type": "string" } }, "required": [ "name" ], "type": "object" }, "type": "array" }, "cpuUsage": { "type": [ "number", "null" ] }, "createdAt": { "type": [ "string", "null" ] }, "deletingAt": { "type": [ "string", "null" ] }, "disruption": { "type": [ "string", "null" ] }, "graceSeconds": { "type": [ "number", "null" ] }, "id": { "type": "string" }, "ip": { "type": [ "string", "null" ] }, "memoryUsage": { "type": [ "number", "null" ] }, "name": { "type": "string" }, "nodeName": { "type": [ "string", "null" ] }, "notReadySince": { "type": [ "string", "null" ] }, "phase": { "type": [ "string", "null" ] }, "podIp": { "type": [ "string", "null" ] }, "probes": { "properties": { "liveness": { "type": "boolean" }, "readiness": { "type": "boolean" }, "startup": { "type": "boolean" } }, "required": [ "liveness", "readiness", "startup" ], "type": "object" }, "readySince": { "type": [ "string", "null" ] }, "reason": { "type": [ "string", "null" ] }, "restartCount": { "type": "number" }, "revision": { "type": [ "string", "null" ] }, "scheduled": { "type": "boolean" }, "schedulingMessage": { "type": [ "string", "null" ] }, "slot": { "type": [ "string", "null" ] }, "startTime": { "type": [ "string", "null" ] }, "status": { "type": "string" }, "unschedulableSince": { "type": [ "string", "null" ] } }, "required": [ "name", "status" ], "type": "object" }, "type": "array" } ```